<?php
session_start();
ob_start();
$father = $_SESSION["user_id"] ;
include "dbPDO.php";
// $page = isset($_REQUEST['act'])?$_REQUEST['act']:'';
$supp_id      = $_POST['supp_id'];
$supp_name      = $_POST['supp_name'];
$company_owner  = $_POST['company_owner'];
$boss           =$_POST['boss'];
$boss_jawal     =$_POST['boss_jawal'];
$sales_master    = $_POST['sales_master'];
$master_jawal    = $_POST['master_jawal'];
$sales          = $_POST['sales'];
$sales_jawal    = $_POST['sales_jawal'];
$cash_master    = $_POST['cash_master'];
$cash_jawal     = $_POST["cash_jawal"];
$casher        = $_POST['casher'];
$ca_jawal      = $_POST['ca_jawal'];
$fax          = $_POST['fax'];
$phone        = $_POST['phone'];
$address      = $_POST['address'];
$start_date   = $_POST['start_date'];
$comm         = $_POST['comm'];

$Number ='/^[0-9]+(\.[0-9]{1,2})?$/' ;

if(empty($supp_name) || empty($company_owner))
{
  echo "
        <div class='alert alert-warning'>
        <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;' >&times;</a>
        <b>من فضلك  سجل اسم الشركة و اسم صاحب الشركة  ...!</b>
        </div>
  ";
  exit();
}else{

  if(!empty($supp_name)){ $supp_name = htmlspecialchars(strip_tags($supp_name)) ;   }
  if(!empty($company_owner)){ $company_owner = htmlspecialchars(strip_tags($company_owner)) ;   }
  if(!empty($boss)){ $boss = htmlspecialchars(strip_tags($boss)) ;   }

if(!empty($boss_jawal)){
    if(!preg_match($Number,$boss_jawal)){
      echo "
      <div class='alert alert-warning'>
      <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
      <b>  $boss_jawal رقم غلط في جوال المدير</b>
      </div>
    ";
      exit();
    }
    if((strlen($boss_jawal) < 10)){
      echo "
      <div class='alert alert-warning'>
      <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
      <b>جوال المدير أقل من 10 أرقام</b>
      </div>
      ";
      exit();
    }
    if((strlen($boss_jawal) > 10)){
      echo "
      <div class='alert alert-warning'>
      <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
      <b>رقم الجوال أكبر من 10 أرقام من فضلك تاكد من الرقم</b>
      </div>
      ";
      exit();
    }
}
if(!empty($sales_master)){ $sales_master = htmlspecialchars(strip_tags($sales_master)) ;   }
if(!empty($master_jawal)){
    if(!preg_match($Number,$master_jawal)){
      echo "
      <div class='alert alert-warning'>
      <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
      <b>  $master_jawal رقم غلط</b>
      </div>
    ";
      exit();
    }
    if((strlen($master_jawal) < 10)){
      echo "
      <div class='alert alert-warning'>
      <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
      <b>مدير الحسابات</b>
      </div>
      ";
      exit();
    }
    if((strlen($master_jawal) > 10)){
      echo "
      <div class='alert alert-warning'>
      <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
      <b>رقم الجوال أكبر من 10 أرقام من فضلك تاكد من الرقم</b>
      </div>
      ";
      exit();
    }
  }
  if(!empty($sales)){ $sales = htmlspecialchars(strip_tags($sales)) ;   }
if(!empty($sales_jawal)){
    if(!preg_match($Number,$sales_jawal)){
      echo "
      <div class='alert alert-warning'>
      <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
      <b>  $sales_jawal رقم غلط</b>
      </div>
    ";
      exit();
    }
    if((strlen($sales_jawal)< 10)){
      echo "
      <div class='alert alert-warning'>
      <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
      <b>رقم الجوال أقل من 10 أرقام يوجد خطا في الرقم</b>
      </div>
      ";
      exit();
    }
    if((strlen($sales_jawal) > 10)){
      echo "
      <div class='alert alert-warning'>
      <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
      <b>رقم الجوال أكبر من 10 أرقام من فضلك تاكد من الرقم</b>
      </div>
      ";
      exit();
    }
  }
  if(!empty($cash_master)){ $cash_master = htmlspecialchars(strip_tags($cash_master)) ;   }
if(!empty($cash_jawal)){
    if(!preg_match($Number,$cash_jawal)){
      echo "
      <div class='alert alert-warning'>
      <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
      <b>  $cash_jawal رقم غلط</b>
      </div>
    ";
      exit();
    }
    if((strlen($cash_jawal)< 10)){
      echo "
      <div class='alert alert-warning'>
      <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
      <b>رقم الجوال أقل من 10 أرقام يوجد خطا في الرقم</b>
      </div>
      ";
      exit();
    }
    if((strlen($cash_jawal) > 10)){
      echo "
      <div class='alert alert-warning'>
      <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
      <b>رقم الجوال أكبر من 10 أرقام من فضلك تاكد من الرقم</b>
      </div>
      ";
      exit();
    }
  }
  if(!empty($casher)){ $casher = htmlspecialchars(strip_tags($casher)) ;   }
if(!empty($ca_jawal)){
    if(!preg_match($Number,$ca_jawal)){
      echo "
      <div class='alert alert-warning'>
      <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
      <b>  $ca_jawal رقم غلط</b>
      </div>";
      exit();
    }
    if((strlen($ca_jawal) < 10)){
      echo "
      <div class='alert alert-warning'>
      <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
      <b>رقم الجوال أقل من 10 أرقام يوجد خطا في الرقم</b>
      </div>
      ";
      exit();
    }
    if((strlen($ca_jawal) > 10)){
      echo "
      <div class='alert alert-warning'>
      <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
      <b>رقم الجوال أكبر من 10 أرقام من فضلك تاكد من الرقم</b>
      </div>";
      exit();
    }
  }
if(!empty($fax)){
    if(!preg_match($Number,$fax)){
    echo "
        <div class='alert alert-warning'>
        <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
        <b>  $fax رقم غلط</b>
        </div> ";
        exit();
      }
      if((strlen($fax) < 10)){
        echo "
        <div class='alert alert-warning'>
        <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
        <b>رقم الجوال أقل من 10 أرقام يوجد خطا في الرقم</b>
        </div>
        ";
        exit();
      }
      if((strlen($fax) > 10)){
        echo "
        <div class='alert alert-warning'>
        <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
        <b>رقم الجوال أكبر من 10 أرقام من فضلك تاكد من الرقم</b>
        </div>
        ";
        exit();
      }
    }
if(!empty($phone)){
      if(!preg_match($Number,$phone)){
        echo "
        <div class='alert alert-warning'>
        <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
        <b>  $phone رقم غلط</b>
        </div>
      ";
        exit();
      }
      if((strlen($phone) < 10)){
        echo "
        <div class='alert alert-warning'>
        <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
        <b>رقم الجوال أقل من 10 أرقام يوجد خطا في الرقم</b>
        </div>
        ";
        exit();
      }
      if((strlen($phone) > 10)){
        echo "
        <div class='alert alert-warning'>
        <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
        <b>رقم الجوال أكبر من 10 أرقام من فضلك تاكد من الرقم</b>
        </div>
        ";
        exit();
      }
    }
if(!empty($address)){ $address = htmlspecialchars(strip_tags($address)) ;   }
if(!empty($comm)){ $comm = htmlspecialchars(strip_tags($comm)) ;   }

  $update=$db->prepare("UPDATE supplycomp set supp_name = ?, company_owner = ?, boss = ?, boss_jawal = ?, sales_master = ?,
       master_jawal = ?,  sales = ? ,sales_jawal= ?, cash_master= ?,  cash_jawal= ?, casher= ?, ca_jawal= ?,
        fax= ?, phone= ?,address= ?,start_date = ?,comm= ?
       where supp_id = ?");
      $update->bindParam(1,$supp_name);
      $update->bindParam(2,$company_owner);
      $update->bindParam(3,$boss);
      $update->bindParam(4,$boss_jawal);
      $update->bindParam(5,$sales_master);
      $update->bindParam(6,$master_jawal);
      $update->bindParam(7,$sales);
      $update->bindParam(8,$sales_jawal);
      $update->bindParam(9,$cash_master);
      $update->bindParam(10,$cash_jawal);
      $update->bindParam(11,$casher);
      $update->bindParam(12,$ca_jawal);
      $update->bindParam(13,$fax);
      $update->bindParam(14,$phone);
      $update->bindParam(15,$address);
      $update->bindParam(16,$start_date);
      $update->bindParam(17,$comm);
      $update->bindParam(18,$supp_id);
 			if($update->execute()){
    echo "
          <div class='alert alert-success'>
            <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
            <b>تم تحديث بيانات الشركة بنجاح  .... </b>
          </div>";
  } else {
    echo "<div class='alert alert-danger'>
            <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
            <b>يوجد خطأ في تحديث البيانات ... راجع من فضلك !!!</b>
          </div>";
  }
}
?>
